AMBIENTMATERIALSOURCE(3CgFX)

NAME
AmbientMaterialSource - 3D API ambient material source

USAGE
AmbientMaterialSource = int(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Enable/disable front and back ambient color material. See the GL_AMBIENT description on the OpenGL glColorMaterial manual page for details. See the D3DRS_AMBIENTMATERIALSOURCE render state description for DirectX 9.

The standard reset callback sets the AmbientMaterialSource state to int(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource